=== debian/changelog ===
pgpointcloud (1.2.1-8) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 13:15:15 +0200

pgpointcloud (1.2.1-7) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Ignore build time regression test results on armhf

 -- Christoph Berg <myon@debian.org>  Wed, 02 Dec 2020 16:42:22 +0100

pgpointcloud (1.2.1-6) unstable; urgency=medium

  * Ignore regression test results on armhf. (Closes: #974869)

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 12:10:16 +0100

pgpointcloud (1.2.1-5) unstable; urgency=medium

  * Ignore regression test results on big-endian.
    https://github.com/pgpointcloud/pointcloud/issues/278

 -- Christoph Berg <myon@debian.org>  Sat, 31 Oct 2020 23:06:59 +0100

pgpointcloud (1.2.1-4) unstable; urgency=medium

  * Run test also at build-time.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Oct 2020 22:06:38 +0100

pgpointcloud (1.2.1-3) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Catch test output variation on 32bit platforms.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 13:00:13 +0200

pgpointcloud (1.2.1-2) unstable; urgency=medium

  * Mention all copyright holders in debian/copyright.

 -- Christoph Berg <myon@debian.org>  Sun, 12 Apr 2020 13:16:09 +0200

pgpointcloud (1.2.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Jan 2020 16:41:48 +0100
