=== debian/tests/control ===
Depends: make, @
Tests: installcheck
Restrictions: allow-stderr
