=== debian/changelog ===
pgpointcloud (1.2.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 13:59:14 +0200

pgpointcloud (1.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file to look at github tags.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2022 14:48:58 +0200

pgpointcloud (1.2.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix use-after-free in SPI_connect code.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Sep 2022 12:58:39 +0200
