=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  libxml2-dev,
  postgresql-all (>= 219~),
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pgpointcloud
 Vcs-Git: https://salsa.debian.org/postgresql/pgpointcloud.git
 Homepage: https://github.com/pgpointcloud/pointcloud
 
-Package: postgresql-14-pointcloud
+Package: postgresql-15-pointcloud
 Architecture: any
-Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL extension for storing point cloud (LIDAR) data
  LIDAR sensors quickly produce millions of points with large numbers of
  variables measured on each point. The challenge for a point cloud database
