## pgpointcloud 1.2.5

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,6 @@
 	  -type f \
 	  -exec astyle --style=ansi --indent=tab --suffix=none {} ';'
 
-maintainer-clean:
+maintainer-clean: clean
 	rm -f config.log config.mk config.status lib/pc_config.h configure
 	rm -rf autom4te.cache build
