=== pgsql_postgis/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 EXTENSION = pointcloud_postgis
 EXTVERSION=$(shell cat ../Version.config)
 
-UPGRADABLE = 1.1.0 1.1.1 1.2.0 1.2.1 1.2.2 1.2.3
+UPGRADABLE = 1.1.0 1.1.1 1.2.0 1.2.1 1.2.2 1.2.3 1.2.4
 UPGRADES = \
   $(shell echo $(UPGRADABLE) | \
      $(SED) 's/^/$(EXTENSION)--/' | \
