=== debian/changelog ===
pgpointcloud (1.2.5-3) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Tue, 30 Sep 2025 16:14:28 +0200

pgpointcloud (1.2.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Revert usage of ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 17:54:40 +0200

pgpointcloud (1.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 09:56:17 +0200
