=== debian/control ===
--- 
+++ 
@@ -2,22 +2,29 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>,
+Uploaders:
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-autoreconf | debhelper-compat (= 13),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  libxml2-dev,
- postgresql-all (>= 219~),
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
  zlib1g-dev,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pgpointcloud
 Vcs-Git: https://salsa.debian.org/postgresql/pgpointcloud.git
 Homepage: https://github.com/pgpointcloud/pointcloud
 
-Package: postgresql-15-pointcloud
+Package: postgresql-18-pointcloud
 Architecture: any
-Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ postgresql-18,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension for storing point cloud (LIDAR) data
  LIDAR sensors quickly produce millions of points with large numbers of
  variables measured on each point. The challenge for a point cloud database
