=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_installdocs --all README.*
 
 override_dh_pgxs_test:
+	set -ex; \
 	for v in $(shell pg_buildext supported-versions); do \
 	  PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config; \
 	  if ! pg_virtualenv -p postgresql-%v-pointcloud -v $$v \
