=== debian/watch ===
version=4
https://github.com/pgpointcloud/pointcloud/tags .*/v(.*).tar.gz
